#-----PyMol Header------------------------------- 
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
# set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# fror high quality surfaces set this to 3 (very slow)
set surface_quality, 1
# use these commands to control the rainbow
# util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
# spectrum count, wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange, obj and resi 1-522
# set cartoon_cylindrical_helices,1
# symexp new_objects,asymmetric_name,(asymmetric_name),distance

## ---------End of Header----------------#

load A-amylose_2009-popov.pdb, amylose

symexp S,amylose,(amylose),3

alter amylose, resi=str(int(resi)+3)
alter S01000001, resi=str(int(resi)+6)

create amylose9, S010000-1 | S01000001 | amylose 
#delete s*

bond resi 4 and name O12 and amylose3, resi 5 and name C4 and amylose3

save amylose3.pdb

delete *

load amylose3_corrected.pdb, amylose 
symexp S,amylose,(amylose),3

color yellow, S01000001
color cyan, S010000-1

set_name  S01000001, one
set_name  S010000-1, two
delete s*
 
alter amylose, resi=str(int(resi)+4)
alter two, resi=str(int(resi)-5)

#create amylose9, one | two

load amylose10.pdb, amylose
create term, resi 16
symexp S,amylose11,(obj2),1
