Amylose A

#-----PyMol Header------------------------------- 
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
# set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# fror high quality surfaces set this to 3 (very slow)
set surface_quality, 1
# use these commands to control the rainbow
# util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
# spectrum count, wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange, obj and resi 1-522
# set cartoon_cylindrical_helices,1
# symexp new_obj,asymmetric_obj,(target obj),distance
## ---------End of Header----------------#

load amylose_A_duplex.pdb, amylose

color cyan, chain B
color yellow, chain A
show surface
set_view (\
     0.999923229,    0.012343989,   -0.000929432,\
    -0.002848709,    0.156412005,   -0.987687528,\
    -0.012046507,    0.987614393,    0.156435490,\
     0.000003235,   -0.000014454, -246.932510376,\
     0.354828596,    1.528489113,   22.412893295,\
   194.683471680,  299.181549072,  -20.000000000 )

# ray 2000,2000
# save amylose_A.png
pwd
